#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Data Retrieval Script

This script retrieves historical stock price data for a given set of stock symbols
using the Alpha Vantage API. The data is saved as separate CSV files for each stock symbol.

Author: Abraham J. Reines
Date: May 23, 2023

"""

import pandas as pd
from alpha_vantage.timeseries import TimeSeries

def retrieve_stock_data(symbol, api_key):
    ts = TimeSeries(key=api_key, output_format='pandas')
    data, meta_data = ts.get_daily_adjusted(symbol=symbol, outputsize='full')
    return data

symbols = ['AAPL', 'GOOGL', 'MSFT']  # Example list of stock symbols
api_key = '2EGR0ONGHDOTMKYM'  # Replace with your Alpha Vantage API key

for symbol in symbols:
    data = retrieve_stock_data(symbol, api_key)
    data.to_csv(f'/Volumes/StorageAJR/Work/{symbol}_data.csv')  # Save data as CSV file
